summaryrefslogtreecommitdiff
path: root/tests/data/cmd-fake
diff options
context:
space:
mode:
Diffstat (limited to 'tests/data/cmd-fake')
-rwxr-xr-xtests/data/cmd-fake8
1 files changed, 8 insertions, 0 deletions
diff --git a/tests/data/cmd-fake b/tests/data/cmd-fake
index 4093320..83e3e0a 100755
--- a/tests/data/cmd-fake
+++ b/tests/data/cmd-fake
@@ -12,6 +12,10 @@ if [ "$1" != "keytab" ] ; then
exit 1
fi
shift
+if [ -n "$2" ] ; then
+ echo "Too many arguments" >&2
+ exit 1
+fi
case "$command" in
get)
@@ -32,6 +36,10 @@ show)
exit 1
fi
;;
+expires)
+ echo "Expiration date of $1"
+ exit 0
+ ;;
*)
echo "Unknown command $command" >&2
exit 1